Debian Bug report logs - #449070
Nautilus crashes

version graph

Package: nautilus; Maintainer for nautilus is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for nautilus is src:nautilus.

Reported by: Alexander Krayniuk <asandros@gmail.com>

Date: Fri, 2 Nov 2007 19:33:01 UTC

Severity: normal

Found in version nautilus/2.18.3-3

Fixed in versions gtk+2.0/2.12.1-2, nautilus/2.20.0-6

Done: Julian Andres Klode <jak@jak-linux.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#449070; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to Alexander Krayniuk <asandros@gmail.com>:
New Bug report received and forwarded. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Krayniuk <asandros@gmail.com>
To: submit@bugs.debian.org
Subject: Nautilus crashes
Date: Fri, 02 Nov 2007 21:25:33 +0200
Package: nautilus
Version: 2.18.3-3

When I try to run file or directory 'Properties' (right mouse button) 
nautilus crashes and calls 'Bug report tool' (see below).

It appeared after gtk upgrade from 2.10 to 2.12.1-1.

I'm using up to date Debian testing without sid packages.


-------------------------
BUG REPORTING TOOL output
-------------------------

Distribution: Debian lenny/sid
Gnome Release: 2.18.3 2007-07-03 (Debian)
BugBuddy Version: 2.18.1

System: Linux 2.6.22-2-k7 #1 SMP Fri Aug 31 01:02:37 UTC 2007 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Greylooks
Icon Theme: tango-noir0-8.0

Memory status: size: 74563584 vsize: 74563584 resident: 23203840 share: 
14311424 rss: 23203840 rss_rlim: 4294967295
CPU usage: start_time: 1194030280 rtime: 331 utime: 303 stime: 28 
cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/nautilus'

(no debugging symbols found)
Using host libthread_db library "/lib/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0xb6e058c0 (LWP 3874)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0xffffe410 in __kernel_vsyscall ()
#0  0xffffe410 in __kernel_vsyscall ()
#1  0xb765514b in waitpid () from /lib/i686/cmov/libpthread.so.0
#2  0xb7d39865 in ?? () from /usr/lib/libgnomeui-2.so.0
#3  0x00000fe5 in ?? ()
#4  0xbfaa2578 in ?? ()
#5  0x00000000 in ?? ()

Thread 1 (Thread 0xb6e058c0 (LWP 3874)):
#0  0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1  0xb765514b in waitpid () from /lib/i686/cmov/libpthread.so.0
No symbol table info available.
#2  0xb7d39865 in ?? () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  0x00000fe5 in ?? ()
No symbol table info available.
#4  0xbfaa2578 in ?? ()
No symbol table info available.
#5  0x00000000 in ?? ()
No symbol table info available.
#0  0xffffe410 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered 
Y; input not from terminal]


----------- .xsession-errors ---------------------
** Message: drive = 0
** Message: volume = 0
** Message: drive = 0
** Message: volume = 0
** Message: drive = 0
** Message: volume = 0
** Message: drive = 0
** Message: volume = 0
** Message: drive = 0
** Message: volume = 0
** Message: drive = 0
** Message: volume = 0
Gtk-ERROR **: file /tmp/buildd/gtk+2.0-2.12.1/gtk/gtkliststore.c: line 
1677 (gtk_list_store_compare_func): assertion failed: (VALID_ITER 
(&iter_b, list_store))
aborting...
--------------------------------------------------


-- 
Alexander Krayniuk




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#449070; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to Alexander Krayniuk <asandros@gmail.com>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #10 received at 449070@bugs.debian.org (full text, mbox):

From: Alexander Krayniuk <asandros@gmail.com>
To: 449070@bugs.debian.org
Subject: Nautilus crashes
Date: Fri, 02 Nov 2007 23:05:29 +0200
This problem has been resolved with nautilus upgrade from sid:

[UPGRADE] nautilus 2.18.3-3 -> 2.20.0-1
[UPGRADE] nautilus-data 2.18.3-3 -> 2.20.0-1
[INSTALL, DEPENDENCIES] libeel2-2.20
[INSTALL, DEPENDENCIES] libexempi2


-- 
Alexander Krayniuk




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#449070; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to 449070@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #15 received at 449070@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Alexander Krayniuk <asandros@gmail.com>, 449070@bugs.debian.org
Subject: Re: Bug#449070: Nautilus crashes
Date: Sat, 03 Nov 2007 00:51:31 +0100
[Message part 1 (text/plain, inline)]
Le vendredi 02 novembre 2007 à 23:05 +0200, Alexander Krayniuk a écrit :
> This problem has been resolved with nautilus upgrade from sid:
> 
> [UPGRADE] nautilus 2.18.3-3 -> 2.20.0-1
> [UPGRADE] nautilus-data 2.18.3-3 -> 2.20.0-1
> [INSTALL, DEPENDENCIES] libeel2-2.20
> [INSTALL, DEPENDENCIES] libexempi2

Thanks. I'll add a proper conflict.

Cheers,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julian Andres Klode <jak@jak-linux.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Alexander Krayniuk <asandros@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 449070-done@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@jak-linux.org>
To: 449070-done@bugs.debian.org
Subject: [Fwd: Accepted gtk+2.0 2.12.1-2 (source all amd64)]
Date: Sat, 05 Jan 2008 02:55:20 +0100
[Message part 1 (text/plain, inline)]
Source: gtk+2.0
Source-Version: 2.12.1-2

The bug you reported is fixed, but there was a typo in the changelog, so
this bug was not closed.

-- 
Julian Andres Klode, Fellow of the Free Software Foundation Europe
                     Ubuntu Member | Debian Packager | Developer

try Ubuntu: http://www.ubuntu.com/ | my site: http://jak-linux.org/
         mail: juliank@ubuntu.com  | IRC: juliank
            languages:     German  | English
[Accepted gtk+2.0 2.12.1-2 (source all amd64).eml (message/rfc822, inline)]
From: Josselin Mouette <joss@debian.org>
To: debian-devel-changes@lists.debian.org
Subject: Accepted gtk+2.0 2.12.1-2 (source all amd64)
Date: Tue, 13 Nov 2007 09:32:06 +0000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 04 Nov 2007 16:22:31 +0100
Source: gtk+2.0
Binary: libgtk2.0-dev gtk2-engines-pixbuf libgtk-directfb-2.0-dev libgtk-directfb-2.0-0 libgtk-directfb-2.0-0-udeb libgtk2.0-0-dbg libgtk2.0-0 libgtk2.0-doc gtk2.0-examples libgtk2.0-common libgtk2.0-bin
Architecture: source amd64 all
Version: 2.12.1-2
Distribution: unstable
Urgency: low
Maintainer: Sebastien Bacher <seb128@debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 gtk2-engines-pixbuf - Pixbuf-based theme for GTK+ 2.x
 gtk2.0-examples - Examples files for the GTK+ 2.0
 libgtk-directfb-2.0-0 - The GTK+ graphical user interface library - DirectFB runtime
 libgtk-directfb-2.0-0-udeb - The GTK+ graphical user interface library - minimal runtime (udeb)
 libgtk-directfb-2.0-dev - Development files for the GTK+ library - DirectFB version
 libgtk2.0-0 - The GTK+ graphical user interface library
 libgtk2.0-0-dbg - The GTK+ libraries and debugging symbols
 libgtk2.0-bin - The programs for the GTK+ graphical user interface library
 libgtk2.0-common - Common files for the GTK+ graphical user interface library
 libgtk2.0-dev - Development files for the GTK+ library
 libgtk2.0-doc - Documentation for the GTK+ graphical user interface library
Closes: 343711 443701 447279 448071 448674 499070
Changes: 
 gtk+2.0 (2.12.1-2) unstable; urgency=low
 .
   * Stop suggesting gtk-engines-pixmap.
   * Remove the --enable-explicit-deps flag. Closes: #343711, thanks Tom
     Parker. If some other packages still rely on having explicit X11
     dependencies, they are buggy and need to be fixed anyway.
   * Keep --enable-explicit-deps in the directfb build; otherwise this
     breaks any binary linking against it because the rpath isn't passed.
   * 033_treeview_resizing.patch: updated patch from Kristian Rietveld.
     + Add a new sizing fix for the case where there is a scrollbar.
   * 031_gtksearchenginetracker_fixes.patch: added back, only the name
     change was fixed upstream.
   * 034_gtkcupsutils_type_fix.patch: type-casting fix from Herbert
     Valerio Riedel that allows remote printing. Closes: #448071.
   * 040_filechooser_single-click.patch: allow a situation where no
     shortcut is selected, to avoid issues for keyboard users.
     Closes: #448674.
   * 042_treeview_single_focus.patch: don't select the focused item for
     GTK_SELECTION_SINGLE type treeviews. Allows the fix in
     040_filechooser_single-click.patch to work.
   * Conflict against libeel2-2.18. Closes: #443701, #499070.
   * Conflict against xfwm4 < 4.4.1-3 (previous versions freeze on
     startup).
   * 021_loader-files-d.patch: enclose process_module_file in correct
     #ifdef's.
   * 040_filechooser_single-click.patch: filter out duplicate entries in
     bookmarks. This avoids a situation where the selection is changed to
     the duplicate during DnD, causing an assertion error.
     Closes: #447279.
Files: 
 00e57d6cb018adfd8b87348b926742e4 1528 libs optional gtk+2.0_2.12.1-2.dsc
 3c2aa0147ab246882c7316c270fe5a8b 85116 libs optional gtk+2.0_2.12.1-2.diff.gz
 fd06d5d9909a87d13f5f2f9ae912b6b9 5059364 misc optional libgtk2.0-common_2.12.1-2_all.deb
 2d7667bb343f6cb05b9bc6f87d5a5de2 8098 misc optional libgtk2.0-bin_2.12.1-2_all.deb
 3dc56c7d631b9bbb00317cb72d93d0d5 3184660 doc optional libgtk2.0-doc_2.12.1-2_all.deb
 df8f6b42f50cf96da305637964821ca5 2114270 libs optional libgtk2.0-0_2.12.1-2_amd64.deb
 d22ac8f47863b969d400a57831cfd488 1792650 libs optional libgtk-directfb-2.0-0_2.12.1-2_amd64.deb
 0ce96e75f97b59de9e3a2e62616b9346 1847162 debian-installer extra libgtk-directfb-2.0-0-udeb_2.12.1-2_amd64.udeb
 7fe778f255d105abfb385b14d7d0def1 3014610 libdevel optional libgtk2.0-dev_2.12.1-2_amd64.deb
 00671de3f0b7a61258be236d063ccc20 5532 libdevel optional libgtk-directfb-2.0-dev_2.12.1-2_amd64.deb
 54015016b7bbaf630437e4c890147e9a 9782066 libdevel extra libgtk2.0-0-dbg_2.12.1-2_amd64.deb
 3531db7119681f36cf711b16b1464a9a 450718 x11 extra gtk2.0-examples_2.12.1-2_amd64.deb
 cb24dd823fd42398888237ef1faa3990 129250 graphics optional gtk2-engines-pixbuf_2.12.1-2_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHLelCrSla4ddfhTMRAmMwAKCKUtOL8Vg2Di8vzWyy7amGr2eQJQCgw6uH
DvrvdOxf496043GtRZ4Ip+0=
=wt4R
-----END PGP SIGNATURE-----


Accepted:
gtk+2.0_2.12.1-2.diff.gz
  to pool/main/g/gtk+2.0/gtk+2.0_2.12.1-2.diff.gz
gtk+2.0_2.12.1-2.dsc
  to pool/main/g/gtk+2.0/gtk+2.0_2.12.1-2.dsc
gtk2-engines-pixbuf_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/gtk2-engines-pixbuf_2.12.1-2_amd64.deb
gtk2.0-examples_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/gtk2.0-examples_2.12.1-2_amd64.deb
libgtk-directfb-2.0-0-udeb_2.12.1-2_amd64.udeb
  to pool/main/g/gtk+2.0/libgtk-directfb-2.0-0-udeb_2.12.1-2_amd64.udeb
libgtk-directfb-2.0-0_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/libgtk-directfb-2.0-0_2.12.1-2_amd64.deb
libgtk-directfb-2.0-dev_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/libgtk-directfb-2.0-dev_2.12.1-2_amd64.deb
libgtk2.0-0-dbg_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/libgtk2.0-0-dbg_2.12.1-2_amd64.deb
libgtk2.0-0_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/libgtk2.0-0_2.12.1-2_amd64.deb
libgtk2.0-bin_2.12.1-2_all.deb
  to pool/main/g/gtk+2.0/libgtk2.0-bin_2.12.1-2_all.deb
libgtk2.0-common_2.12.1-2_all.deb
  to pool/main/g/gtk+2.0/libgtk2.0-common_2.12.1-2_all.deb
libgtk2.0-dev_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/libgtk2.0-dev_2.12.1-2_amd64.deb
libgtk2.0-doc_2.12.1-2_all.deb
  to pool/main/g/gtk+2.0/libgtk2.0-doc_2.12.1-2_all.deb


[signature.asc (application/pgp-signature, attachment)]

Bug Marked as fixed in versions nautilus/2.20.0-6. Request was from Henri Le Foll <bugs@lefoll.eu> to control@bugs.debian.org. (Fri, 11 Feb 2011 19:48:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 Mar 2011 07:37:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:10:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.